For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesDeveloper Console
API DocumentationOpen Source ModelAPI Changelog
API DocumentationOpen Source ModelAPI Changelog
  • Getting Started
    • Introduction
    • Quick Start
  • Implementation Guides
    • Authentication
    • Supported Models
    • Input Formats
    • Prompting Guide
    • Async Jobs
    • Rate Limits
    • Error Handling
    • Debugging Requests
  • Billing
    • Pricing
    • Auto Top-Up
  • API Reference
      • POSTGenerate video from text
      • POSTGenerate video from image
      • POSTGenerate video from audio
      • POSTRetake video section
      • POSTExtend video duration
      • POSTUpscale video to HDR
      • GETGet job status
LogoLogo
Contact SalesDeveloper Console
API ReferenceAsync Video Generation

Get job status

GET
https://api.ltx.video/v2/:endpoint/:id
GET
/v2/:endpoint/:id
$curl https://api.ltx.video/v2/text-to-video/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
> -H "Authorization: Bearer YOUR_API_KEY"
Poll the status of an async generation job. Status transitions through `pending` → `processing` → `completed` or `failed`. When completed, the `result` object contains output URLs (see each endpoint's documentation for the available keys). Poll every 5 seconds and stop when the status reaches `completed` or `failed`. Status and output URLs are available for 24 hours after the job reaches a terminal state. After expiry this endpoint returns `404`.
Was this page helpful?
Previous

Upload file

Next
Built with

Poll the status of an async generation job. Status transitions through pending → processing → completed or failed. When completed, the result object contains output URLs (see each endpoint’s documentation for the available keys). Poll every 5 seconds and stop when the status reaches completed or failed. Status and output URLs are available for 24 hours after the job reaches a terminal state. After expiry this endpoint returns 404.

Authentication

AuthorizationBearer
API key authentication

Path parameters

idstringRequired
Job ID returned from the submit endpoint.
endpointenumRequired

The endpoint type used when submitting the job (e.g., text-to-video, image-to-video, audio-to-video, retake, extend, video-to-video-hdr).

Response

Current job status
pendingobject
OR
processingobject
OR
completedobject
OR
failedobject

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error